# ClearSync RPM spec
Name: clearsync
Version: 1.3
Release: 1%{dist}
Vendor: ClearFoundation
License: GPL
Group: System Environment/Daemons
Packager: ClearFoundation
Source: %{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-%{version}
Summary: ClearSync system sychronization daemon
BuildRequires: expat-devel openssl-devel
Requires: initscripts /sbin/service
Requires(pre): /sbin/ldconfig, /usr/sbin/useradd, /usr/bin/getent
Requires(postun): /usr/sbin/userdel
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig

%description
ClearSync system synchronization daemon
Report bugs to: http://www.clearfoundation.com/docs/developer/bug_tracker/

%package devel
Summary: ClearSync plugin development files
Group: Development/Libraries
Requires: clearsync = 1.3
BuildArch: noarch

%description devel
ClearSync plugin development files
Report bugs to: http://www.clearfoundation.com/docs/developer/bug_tracker/

# Build
%prep
%setup -q
%{configure}

%build
make %{?_smp_mflags}

# Install
%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -vp ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d
mkdir -vp ${RPM_BUILD_ROOT}/%{_sysconfdir}/clearsync.d
mkdir -vp ${RPM_BUILD_ROOT}/%{_localstatedir}/run/clearsync
mkdir -vp ${RPM_BUILD_ROOT}/%{_localstatedir}/state/clearsync
mkdir -vp ${RPM_BUILD_ROOT}/%{_localstatedir}/lib/clearsync
cp -v doc/clearsync.conf ${RPM_BUILD_ROOT}/%{_sysconfdir}
cp -v doc/clearsyncd.init ${RPM_BUILD_ROOT}/%{_sysconfdir}/init.d/clearsyncd

# Clean-up
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

# Pre install
%pre
/usr/bin/getent passwd clearsync 2>&1 >/dev/null ||\
    /usr/sbin/useradd -M -c "ClearSync" -r -d %{_sbindir}/clearsyncd -s /bin/false clearsync 2> /dev/null || :

%preun
if [ "$1" = 0 ]; then
    /sbin/chkconfig --del clearsyncd
fi

# Post install
%post
/sbin/ldconfig
/sbin/chkconfig --add clearsyncd >/dev/null 2>&1 || :
/sbin/service clearsyncd condrestart >/dev/null 2>&1 || :

# Post uninstall
%postun
/sbin/ldconfig
if [ -f /var/lock/subsys/clearsyncd ]; then
    killall -TERM clearsyncd 2>&1 >/dev/null || :
    sleep 2
fi

# Files
%files
%defattr(-,root,root)
%{_sbindir}/clearsyncd
%{_libdir}/libclearsync.so*
%attr(755,root,root) %{_sysconfdir}/init.d/clearsyncd
%{_sysconfdir}/clearsync.conf
%{_sysconfdir}/clearsync.d
%attr(755,clearsync,clearsync) %{_localstatedir}/run/clearsync
%attr(750,clearsync,clearsync) %{_localstatedir}/state/clearsync
%attr(750,clearsync,clearsync) %{_localstatedir}/lib/clearsync

# Developer files
%files devel
%defattr(-,root,root)
%{_includedir}/clearsync
%{_libdir}/libclearsync.a
%{_libdir}/libclearsync.la

